Bug 809458 - [abrt] evolution-3.2.3-2.fc16: Process /usr/bin/evolution was killed by signal 6 (SIGABRT)
[abrt] evolution-3.2.3-2.fc16: Process /usr/bin/evolution was killed by signa...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
16
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
abrt_hash:2d817741ebe3dce8bc199b352c2...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-03 08:34 EDT by Sam Tuke
Modified: 2013-02-13 11:41 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 11:40:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dso_list (18.10 KB, text/plain)
2012-04-03 08:34 EDT, Sam Tuke
no flags Details
File: build_ids (7.53 KB, text/plain)
2012-04-03 08:34 EDT, Sam Tuke
no flags Details
File: maps (54.75 KB, text/plain)
2012-04-03 08:34 EDT, Sam Tuke
no flags Details
File: backtrace (88.57 KB, text/plain)
2012-04-03 08:35 EDT, Sam Tuke
no flags Details

  None (edit)
Description Sam Tuke 2012-04-03 08:34:41 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        evolution
comment:        I don't know what triggered the crash. Evolution is regularly crashing for me now, frequently within a few seconds after it is first started / executed. This time I was in the middle of composing a message.
executable:     /usr/bin/evolution
kernel:         3.3.0-4.fc16.i686
pid:            10775
pwd:            /home/samtuke
reason:         Process /usr/bin/evolution was killed by signal 6 (SIGABRT)
time:           Tue 03 Apr 2012 01:15:36 PM BST
uid:            1000
username:       samtuke
var_log_messages: Apr  3 13:15:38 jack-laptop abrt[10889]: Saved core dump of pid 10775 (/usr/bin/evolution) to /var/spool/abrt/ccpp-2012-04-03-13:15:36-10775 (184991744 bytes)

backtrace:      Text file, 90696 bytes
build_ids:      Text file, 7708 bytes
dso_list:       Text file, 18535 bytes
maps:           Text file, 56069 bytes

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=1
:HOSTNAME=jack-laptop
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=0663b5817558a2c1a1503ae40000001c-1333199459.495293-1604382284
:IMSETTINGS_MODULE=none
:USER=samtuke
:USERNAME=samtuke
:MAIL=/var/spool/mail/samtuke
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/samtuke/.local/bin:/home/samtuke/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/samtuke
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:LANG=en_US.utf8
:GDM_LANG=en_US.utf8
:KDEDIRS=/usr
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:HOME=/home/samtuke
:XDG_SEAT=seat0
:SHLVL=1
:LOGNAME=samtuke
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-Mm3kdWpCEv,guid=a0c86353b198e4751838264300000243
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/samtuke
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-samtuke-TkuhXB/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1463,unix/unix:/tmp/.ICE-unix/1463
:GNOME_KEYRING_CONTROL=/tmp/keyring-Xxpmat
:GPG_AGENT_INFO=/tmp/keyring-Xxpmat/gpg:0:1
:SSH_AUTH_SOCK=/tmp/keyring-Xxpmat/ssh
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
Comment 1 Sam Tuke 2012-04-03 08:34:47 EDT
Created attachment 574846 [details]
File: dso_list
Comment 2 Sam Tuke 2012-04-03 08:34:50 EDT
Created attachment 574847 [details]
File: build_ids
Comment 3 Sam Tuke 2012-04-03 08:34:53 EDT
Created attachment 574848 [details]
File: maps
Comment 4 Sam Tuke 2012-04-03 08:35:00 EDT
Created attachment 574849 [details]
File: backtrace
Comment 5 Milan Crha 2012-04-04 07:46:27 EDT
Thanks for a bug report. I see from the backtrace that there happened a memory corruption, two threads are allocating memory, but it fails in a memory checker. I also see that you use IMAP+, thus I guess it's related to it. There had been done "few" changes in its code recently, also addressing possible memory corruptions, which are part of 3.4.0, which will be part of upcoming Fedora 17.

As a workaround, I would try to switch from IMAP+ to IMAP in your accounts (such change requires evolution's restart), and if it'll still crash for you, then run evolution under valgrind, please, it'll hopefully show us where the memory got corrupted. Note the evolution will be significantly slower, due to all memory checking. The valgrind command looks like this:
   $ G_SLICE=always-malloc valgrind --num-callers=50 evolution &>log.txt
Valgrind can sometimes avoid certain crashes, thus the log can contain the information, even if the evolution will not crash. I see that this happened for you when was evolution updating folders, checking for changes on the server side.
Comment 6 Sam Tuke 2012-04-04 11:25:45 EDT
> As a workaround, I would try to switch from IMAP+ to IMAP in your accounts
(such change requires evolution's restart), and if it'll still crash for you,
then run evolution under valgrind, please, it'll hopefully show us where the
memory got corrupted. Note the evolution will be significantly slower, due to
all memory checking.

Will do, thanks for detailed info!

Sam.
Comment 7 Milan Crha 2012-04-05 03:20:19 EDT
(In reply to comment #6)
> Will do, thanks for detailed info!

Thanks. I'm setting this back to need-info, because the actual information whether the change helped, and/or the valgrind log, is still pending here.
Comment 8 Fedora End Of Life 2013-01-16 10:18:40 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Fedora End Of Life 2013-02-13 11:41:03 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.